Icon_Speed = "data:ui/newui/research/icons/speed.mres"
Icon_Health = "data:ui/newui/research/icons/health.mres"
Icon_Tech = "data:ui/newui/research/icons/tech.mres"
Icon_Ability = "data:ui/newui/research/icons/ability.mres"
Icon_Build = "data:ui/newui/research/icons/build.mres"
Modifier = 0
Ability = 1
AllShips = 0
Family = 1
Ship = 2
research = {
  {
    Name = "InstaAdvancedFrigateTech",
    RequiredResearch = "",
    RequiredSubSystems = "AdvancedResearch",
    Cost = 0,
    Time = 0,
    DisplayedName = "Instant Tech!!!!!!!!!!!!!!!!!!!!!!!!!!",
    DisplayPriority = 1,
    Description = "",
    TargetName = "Hgn_Mothership",
  },
  {
    Name = "InstaAdvancedFighterTech",
    RequiredResearch = "",
    RequiredSubSystems = "Research",
    Cost = 0,
    Time = 0,
    DisplayedName = "Instant Tech!!!!!!!!!!!!!!!!!!!!!!!!!!",
    DisplayPriority = 1,
    Description = "",
    TargetName = "Hgn_Mothership",
  },
  {
    Name = "GraviticAttractionMines",
    RequiredResearch = "",
    RequiredSubSystems = "AdvancedResearch & CorvetteProduction",
    Cost = 750,
    Time = 40,
    DisplayedName = "$7500",
    DisplayPriority = 2,
    Description = "$7501",
    TargetName = "Hgn_MinelayerCorvette",
    Icon = Icon_Tech,
    ShortDisplayedName = "$7200",
  },
  {
    Name = "PlatformIonWeapons",
    Required = "",
    RequiredSubSystems = "Research | AdvancedResearch & PlatformProduction",
    Cost = 600,
    Time = 30,
    DisplayedName = "$7502",
    DisplayPriority = 24,
    Description = "$7503",
    TargetName = "Hgn_IonTurret",
    Icon = Icon_Tech,
    ShortDisplayedName = "$7201",
  },
  {
    Name = "BattleshipTech",
    RequiredResearch = "",
    RequiredSubSystems = "Research | AdvancedResearch & CapShipProduction",
    Cost = 500,
    Time = 90,
    DisplayedName = "Battleship Chassis",
    DisplayPriority = 3,
    Description = "<b>Description:</b> Unlocks Battleships. \n\n<b>Prerequisites:</b> Research Module and Capital Ship Facility.",
    TargetName = "Hgn_Battleship",
    Icon = Icon_Tech,
    ShortDisplayedName = "Battleship",
  },
  {
    Name = "DestroyerTech",
    RequiredResearch = "",
    RequiredSubSystems = "Research | AdvancedResearch & CapShipProduction",
    Cost = 1500,
    Time = 90,
    DisplayedName = "$7507",
    DisplayPriority = 3,
    Description = "$7508",
    TargetName = "Hgn_Destroyer",
    Icon = Icon_Tech,
    ShortDisplayedName = "$7203",
  },
  {
    Name = "AssaultCarrierProductionFacilitys",
    RequiredResearch = "",
    RequiredSubSystems = "Research | AdvancedResearch & CapShipProduction",
    Cost = 800,
    Time = 110,
    DisplayedName = "AssaultCarrier Chassis",
    DisplayPriority = 1,
    Description = "<b>Description:</b> Unlocks AssaultCarrier. AssaultCarriers can only be built from Shipyards. \n\n<b>Prerequisites:</b> Research Module and Capital Ship Facility.",
    TargetName = "Hgn_AssaultCarrier",
    Icon = Icon_Tech,
    ShortDisplayedName = "Assaultcarrier",
  },
  {
    Name = "BattlecruiserIonWeapons",
    RequiredResearch = "",
    RequiredSubSystems = "AdvancedResearch & CapShipProduction",
    Cost = 1800,
    Time = 140,
    DisplayedName = "$7504",
    DisplayPriority = 1,
    Description = "$7505",
    TargetName = "Hgn_BattleCruiser",
    Icon = Icon_Tech,
    ShortDisplayedName = "$7202",
  },
  {
    Name = "ECMProbe",
    RequiredResearch = "",
    RequiredSubSystems = "AdvancedResearch",
    Cost = 500,
    Time = 45,
    DisplayedName = "$7509",
    DisplayPriority = 4,
    Description = "$7510",
    TargetName = "Hgn_ECMProbe",
    Icon = Icon_Tech,
    ShortDisplayedName = "$7204",
  },
  {
    Name = "SensDisProbe",
    RequiredResearch = "",
    RequiredSubSystems = "Research",
    Cost = 500,
    Time = 35,
    DisplayedName = "$7650",
    DisplayPriority = 5,
    Description = "$7651",
    TargetName = "Hgn_ProximitySensor",
    Icon = Icon_Tech,
    ShortDisplayedName = "$7214",
  },
  {
    Name = "MissileTargetingSystems",
    RequiredResearch = "",
    RequiredSubSystems = "AdvancedResearch",
    Cost = 500,
    Time = 45,
    DisplayedName = "Anti Missile Weapons",
    DisplayPriority = 6,
    Description = "<b>Description:</b> Unlocks AntiMissileFrigate & Anti Missile Turrets. \n\n<b>Prerequisites:</b> Advanced Research Module.",
    TargetName = "Hgn_AntiMissileFrigate",
    Icon = Icon_Tech,
    ShortDisplayedName = "AntiMissileFrigate",
  },
  {
    Name = "DamageMoverTech",
    RequiredResearch = "",
    RequiredSubSystems = "Research | AdvancedResearch",
    Cost = 500,
    Time = 60,
    DisplayedName = "$7900",
    DisplayPriority = 29,
    Description = "$7901",
    TargetName = "Hgn_Mothership",
    Icon = Icon_Tech,
    ShortDisplayedName = "$7902",
  },
  {
    Name = "RadiationDefenseField",
    RequiredResearch = "",
    RequiredSubSystems = "Research | AdvancedResearch",
    Cost = 500,
    Time = 60,
    DisplayedName = "$7905",
    DisplayPriority = 30,
    Description = "$7906",
    UpgradeType = Ability,
    TargetType = Ship,
    UpgradeName = "DefenseFieldShield",
    TargetName = "Hgn_DefenseFieldFrigate",
    Icon = Icon_Tech,
    ShortDisplayedName = "$7907",
  },
  {
    Name = "RepairAbility",
    RequiredResearch = "",
    RequiredSubSystems = "Research | AdvancedResearch",
    Cost = 750,
    Time = 40,
    DisplayedName = "$7511",
    DisplayPriority = 26,
    Description = "$7512",
    UpgradeType = Ability,
    TargetType = Ship,
    TargetName = "Hgn_ResourceCollector",
    UpgradeName = "Repair",
    Icon = Icon_Ability,
    ShortDisplayedName = "$7205",
  },
  {
    Name = "ScoutPingAbility",
    RequiredResearch = "",
    RequiredSubSystems = "Research | AdvancedResearch",
    Cost = 500,
    Time = 40,
    DisplayedName = "$7513",
    DisplayPriority = 27,
    Description = "$7514",
    UpgradeType = Ability,
    TargetType = Ship,
    TargetName = "Hgn_Scout",
    UpgradeName = "SensorPing",
    Icon = Icon_Ability,
    ShortDisplayedName = "$7206",
  },
  {
    Name = "ImprovedTorpedo",
    RequiredResearch = "",
    RequiredSubSystems = "Research | AdvancedResearch & FrigateProduction",
    Cost = 1000,
    Time = 60,
    DisplayedName = "$7515",
    DisplayPriority = 29,
    Description = "$7516",
    UpgradeType = Ability,
    TargetType = Ship,
    TargetName = "Hgn_TorpedoFrigate",
    UpgradeName = "UseSpecialWeaponsInNormalAttack",
    Icon = Icon_Ability,
    ShortDisplayedName = "$7207",
  },
  {
    Name = "AttackBomberImprovedBombs",
    RequiredResearch = "",
    RequiredSubSystems = "Research | AdvancedResearch",
    Cost = 1500,
    Time = 45,
    DisplayedName = "$7517",
    DisplayPriority = 30,
    Description = "$7518",
    UpgradeType = Ability,
    TargetType = Ship,
    TargetName = "Hgn_AttackBomber",
    UpgradeName = "UseSpecialWeaponsInNormalAttack",
    Icon = Icon_Ability,
    ShortDisplayedName = "$7208",
  },
  {
    Name = "ScoutEMPAbility",
    RequiredResearch = "",
    RequiredSubSystems = "Research | AdvancedResearch",
    Cost = 1500,
    Time = 60,
    DisplayedName = "$7519",
    DisplayPriority = 31,
    Description = "$7520",
    UpgradeType = Ability,
    TargetType = Ship,
    TargetName = "Hgn_Scout",
    UpgradeName = "SpecialAttack",
    Icon = Icon_Ability,
    ShortDisplayedName = "$7209",
  },
  {
    Name = "DefenseFieldFrigateShield",
    RequiredResearch = "",
    RequiredSubSystems = "AdvancedResearch & FrigateProduction",
    Cost = 1500,
    Time = 60,
    DisplayedName = "$7521",
    DisplayPriority = 32,
    Description = "$7522",
    TargetName = "Hgn_DefenseFieldFrigate",
    Icon = Icon_Ability,
    ShortDisplayedName = "$7210",
  },
  {
    Name = "MothershipHealthUpgrade1",
    RequiredResearch = "",
    RequiredSubSystems = "Research | AdvancedResearch",
    Cost = 500,
    Time = 30,
    DisplayedName = "$7523",
    DisplayPriority = 41,
    Description = "$7524",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_MotherShip",
    UpgradeName = "MAXHEALTH",
    UpgradeValue = 1.5,
    Icon = Icon_Health,
    ShortDisplayedName = "$7211",
  },
  {
    Name = "MothershipHealthUpgrade2",
    RequiredResearch = "MothershipHealthUpgrade1",
    RequiredSubSystems = "AdvancedResearch",
    Cost = 750,
    Time = 40,
    DisplayedName = "$7525",
    DisplayPriority = 41,
    Description = "$7526",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_MotherShip",
    UpgradeName = "MAXHEALTH",
    UpgradeValue = 2,
    Icon = Icon_Health,
    ShortDisplayedName = "$7212",
  },
  {
    Name = "MothershipMAXSPEEDUpgrade1",
    RequiredResearch = "",
    RequiredSubSystems = "Research | AdvancedResearch",
    Cost = 500,
    Time = 30,
    DisplayedName = "$7527",
    DisplayPriority = 44,
    Description = "$7528",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_MotherShip",
    UpgradeName = "MAXSPEED",
    UpgradeValue = 1.2,
    Icon = Icon_Speed,
    ShortDisplayedName = "$7211",
  },
  {
    Name = "MothershipMAXSPEEDUpgrade2",
    RequiredResearch = "MothershipMAXSPEEDUpgrade1",
    RequiredSubSystems = "AdvancedResearch",
    Cost = 750,
    Time = 40,
    DisplayedName = "$7529",
    DisplayPriority = 44,
    Description = "$7530",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_MotherShip",
    UpgradeName = "MAXSPEED",
    UpgradeValue = 1.35,
    Icon = Icon_Speed,
    ShortDisplayedName = "$7212",
  },
  {
    Name = "MothershipBUILDSPEEDUpgrade1",
    RequiredResearch = "",
    RequiredSubSystems = "AdvancedResearch",
    Cost = 1000,
    Time = 60,
    DisplayedName = "$7800",
    DisplayPriority = 45,
    Description = "$7801",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_MotherShip",
    UpgradeName = "BUILDSPEED",
    UpgradeValue = 1.3,
    Icon = Icon_Build,
    ShortDisplayedName = "$7240",
  },
  {
    Name = "CarrierHealthUpgrade1",
    RequiredResearch = "",
    RequiredSubSystems = "Research | AdvancedResearch & CapShipProduction",
    Cost = 750,
    Time = 40,
    DisplayedName = "$7531",
    DisplayPriority = 61,
    Description = "$7532",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_Carrier",
    UpgradeName = "MAXHEALTH",
    UpgradeValue = 1.3,
    Icon = Icon_Health,
    ShortDisplayedName = "$7221",
  },
  {
    Name = "CarrierHealthUpgrade2",
    RequiredResearch = "CarrierHealthUpgrade1",
    RequiredSubSystems = "AdvancedResearch & CapShipProduction",
    Cost = 1000,
    Time = 60,
    DisplayedName = "$7533",
    DisplayPriority = 61,
    Description = "$7534",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_Carrier",
    UpgradeName = "MAXHEALTH",
    UpgradeValue = 1.6,
    Icon = Icon_Health,
    ShortDisplayedName = "$7222",
  },
  {
    Name = "CarrierMAXSPEEDUpgrade1",
    RequiredResearch = "",
    RequiredSubSystems = "Research | AdvancedResearch & CapShipProduction",
    Cost = 500,
    Time = 30,
    DisplayedName = "$7535",
    DisplayPriority = 64,
    Description = "$7536",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_Carrier",
    UpgradeName = "MAXSPEED",
    UpgradeValue = 1.2,
    Icon = Icon_Speed,
    ShortDisplayedName = "$7221",
  },
  {
    Name = "CarrierMAXSPEEDUpgrade2",
    RequiredResearch = "CarrierMAXSPEEDUpgrade1",
    RequiredSubSystems = "AdvancedResearch & CapShipProduction",
    Cost = 1000,
    Time = 40,
    DisplayedName = "$7537",
    DisplayPriority = 64,
    Description = "$7538",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_Carrier",
    UpgradeName = "MAXSPEED",
    UpgradeValue = 1.35,
    Icon = Icon_Speed,
    ShortDisplayedName = "$7222",
  },
  {
    Name = "CarrierBUILDSPEEDUpgrade1",
    RequiredResearch = "",
    RequiredSubSystems = "AdvancedResearch & CapShipProduction",
    Cost = 1500,
    Time = 60,
    DisplayedName = "$7805",
    DisplayPriority = 65,
    Description = "$7806",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_Carrier",
    UpgradeName = "BUILDSPEED",
    UpgradeValue = 1.3,
    Icon = Icon_Build,
    ShortDisplayedName = "$7240",
  },
  {
    Name = "InterceptorMAXSPEEDUpgrade1",
    RequiredResearch = "",
    RequiredSubSystems = "Research | AdvancedResearch & FighterProduction",
    Cost = 300,
    Time = 30,
    DisplayedName = "$7543",
    DisplayPriority = 81,
    Description = "$7544",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_Interceptor",
    UpgradeName = "MAXSPEED",
    UpgradeValue = 1.25,
    Icon = Icon_Speed,
    ShortDisplayedName = "$7231",
  },
  {
    Name = "InterceptorMAXSPEEDUpgrade2",
    RequiredResearch = "InterceptorMAXSPEEDUpgrade1",
    RequiredSubSystems = "AdvancedResearch & FighterProduction",
    Cost = 500,
    Time = 40,
    DisplayedName = "$7545",
    DisplayPriority = 81,
    Description = "$7546",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_Interceptor",
    UpgradeName = "MAXSPEED",
    UpgradeValue = 1.5,
    Icon = Icon_Speed,
    ShortDisplayedName = "$7232",
  },
  {
    Name = "MultiroleFighterMAXSPEEDUpgrade1",
    RequiredResearch = "",
    RequiredSubSystems = "Research | AdvancedResearch & FighterProduction",
    Cost = 300,
    Time = 30,
    DisplayedName = "MultiroleFighter Engine 1",
    DisplayPriority = 81,
    Description = "<b>Description:</b> Improves Multirole max speed. \n\n<b>Prerequisites:</b> Research Module and Fighter Facility.",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_MultiroleFIghter",
    UpgradeName = "MAXSPEED",
    UpgradeValue = 1.25,
    Icon = Icon_Speed,
    ShortDisplayedName = "Lvl 1 MultiroleFighter",
  },
  {
    Name = "MultiroleFighterMAXSPEEDUpgrade2",
    RequiredResearch = "MultiroleFighterMAXSPEEDUpgrade1",
    RequiredSubSystems = "AdvancedResearch & FighterProduction",
    Cost = 500,
    Time = 40,
    DisplayedName = "MultiroleFighter Engine 2",
    DisplayPriority = 81,
    Description = "<b>Description:</b> Improves MultiroleFighters max speed to Lvl 2. \n\n<b>Prerequisites:</b> Advanced Research Module and Fighter Facility.",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_MultiroleFighter",
    UpgradeName = "MAXSPEED",
    UpgradeValue = 1.5,
    Icon = Icon_Speed,
    ShortDisplayedName = "Lvl 2 MultiroleFighter",
  },
  {
    Name = "AttackBomberMAXSPEEDUpgrade1",
    RequiredResearch = "",
    RequiredSubSystems = "Research | AdvancedResearch & FighterProduction",
    Cost = 300,
    Time = 30,
    DisplayedName = "$7551",
    DisplayPriority = 87,
    Description = "$7552",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_AttackBomber",
    UpgradeName = "MAXSPEED",
    UpgradeValue = 1.25,
    Icon = Icon_Speed,
    ShortDisplayedName = "$7234",
  },
  {
    Name = "AttackBomberMAXSPEEDUpgrade2",
    RequiredResearch = "AttackBomberMAXSPEEDUpgrade1",
    RequiredSubSystems = "AdvancedResearch & FighterProduction",
    Cost = 500,
    Time = 40,
    DisplayedName = "$7553",
    DisplayPriority = 87,
    Description = "$7554",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_AttackBomber",
    UpgradeName = "MAXSPEED",
    UpgradeValue = 1.5,
    Icon = Icon_Speed,
    ShortDisplayedName = "$7235",
  },
  {
    Name = "AssaultCorvetteHealthUpgrade1",
    RequiredResearch = "",
    RequiredSubSystems = "Research | AdvancedResearch & CorvetteProduction",
    Cost = 500,
    Time = 40,
    DisplayedName = "$7555",
    DisplayPriority = 200,
    Description = "$7556",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_AssaultCorvette",
    UpgradeName = "MAXHEALTH",
    UpgradeValue = 1.3,
    Icon = Icon_Health,
    ShortDisplayedName = "$7237",
  },
  {
    Name = "AssaultCorvetteHealthUpgrade2",
    RequiredResearch = "AssaultCorvetteHealthUpgrade1",
    RequiredSubSystems = "AdvancedResearch & CorvetteProduction",
    Cost = 750,
    Time = 50,
    DisplayedName = "$7557",
    DisplayPriority = 200,
    Description = "$7558",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_AssaultCorvette",
    UpgradeName = "MAXHEALTH",
    UpgradeValue = 1.6,
    Icon = Icon_Health,
    ShortDisplayedName = "$7238",
  },
  {
    Name = "AssaultCorvetteMAXSPEEDUpgrade1",
    RequiredResearch = "",
    RequiredSubSystems = "Research | AdvancedResearch & CorvetteProduction",
    Cost = 300,
    Time = 40,
    DisplayedName = "$7559",
    DisplayPriority = 203,
    Description = "$7560",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_AssaultCorvette",
    UpgradeName = "MAXSPEED",
    UpgradeValue = 1.2,
    Icon = Icon_Speed,
    ShortDisplayedName = "$7237",
  },
  {
    Name = "AssaultCorvetteMAXSPEEDUpgrade2",
    RequiredResearch = "AssaultCorvetteMAXSPEEDUpgrade1",
    RequiredSubSystems = "AdvancedResearch & CorvetteProduction",
    Cost = 500,
    Time = 50,
    DisplayedName = "$7561",
    DisplayPriority = 203,
    Description = "$7562",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_AssaultCorvette",
    UpgradeName = "MAXSPEED",
    UpgradeValue = 1.35,
    Icon = Icon_Speed,
    ShortDisplayedName = "$7238",
  },
  {
    Name = "PulsarCorvetteHealthUpgrade1",
    RequiredResearch = "",
    RequiredSubSystems = "Research | AdvancedResearch & CorvetteProduction",
    Cost = 400,
    Time = 40,
    DisplayedName = "$7563",
    DisplayPriority = 206,
    Description = "$7564",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_PulsarCorvette",
    UpgradeName = "MAXHEALTH",
    UpgradeValue = 1.3,
    Icon = Icon_Health,
    ShortDisplayedName = "$7241",
  },
  {
    Name = "PulsarCorvetteHealthUpgrade2",
    RequiredResearch = "PulsarCorvetteHealthUpgrade1",
    RequiredSubSystems = "AdvancedResearch & CorvetteProduction",
    Cost = 750,
    Time = 50,
    DisplayedName = "$7565",
    DisplayPriority = 206,
    Description = "$7566",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_PulsarCorvette",
    UpgradeName = "MAXHEALTH",
    UpgradeValue = 1.6,
    Icon = Icon_Health,
    ShortDisplayedName = "$7242",
  },
  {
    Name = "PulsarCorvetteMAXSPEEDUpgrade1",
    RequiredResearch = "",
    RequiredSubSystems = "Research | AdvancedResearch & CorvetteProduction",
    Cost = 300,
    Time = 40,
    DisplayedName = "$7567",
    DisplayPriority = 209,
    Description = "$7568",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_PulsarCorvette",
    UpgradeName = "MAXSPEED",
    UpgradeValue = 1.2,
    Icon = Icon_Speed,
    ShortDisplayedName = "$7241",
  },
  {
    Name = "PulsarCorvetteMAXSPEEDUpgrade2",
    RequiredResearch = "PulsarCorvetteMAXSPEEDUpgrade1",
    RequiredSubSystems = "AdvancedResearch & CorvetteProduction",
    Cost = 750,
    Time = 50,
    DisplayedName = "$7569",
    DisplayPriority = 209,
    Description = "$7570",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_PulsarCorvette",
    UpgradeName = "MAXSPEED",
    UpgradeValue = 1.35,
    Icon = Icon_Speed,
    ShortDisplayedName = "$7242",
  },
  {
    Name = "TorpedoFrigateHealthUpgrade1",
    RequiredResearch = "",
    RequiredSubSystems = "Research | AdvancedResearch & FrigateProduction",
    Cost = 800,
    Time = 60,
    DisplayedName = "$7571",
    DisplayPriority = 300,
    Description = "$7572",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_TorpedoFrigate",
    UpgradeName = "MAXHEALTH",
    UpgradeValue = 1.3,
    Icon = Icon_Health,
    ShortDisplayedName = "$7244",
  },
  {
    Name = "TorpedoFrigateHealthUpgrade2",
    RequiredResearch = "TorpedoFrigateHealthUpgrade1",
    RequiredSubSystems = "AdvancedResearch & FrigateProduction",
    Cost = 1400,
    Time = 75,
    DisplayedName = "$7573",
    DisplayPriority = 300,
    Description = "$7574",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_TorpedoFrigate",
    UpgradeName = "MAXHEALTH",
    UpgradeValue = 1.6,
    Icon = Icon_Health,
    ShortDisplayedName = "$7245",
  },
  {
    Name = "TorpedoFrigateMAXSPEEDUpgrade1",
    RequiredResearch = "",
    RequiredSubSystems = "Research | AdvancedResearch & FrigateProduction",
    Cost = 500,
    Time = 50,
    DisplayedName = "$7575",
    DisplayPriority = 303,
    Description = "$7576",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_TorpedoFrigate",
    UpgradeName = "MAXSPEED",
    UpgradeValue = 1.2,
    Icon = Icon_Speed,
    ShortDisplayedName = "$7244",
  },
  {
    Name = "TorpedoFrigateMAXSPEEDUpgrade2",
    RequiredResearch = "TorpedoFrigateMAXSPEEDUpgrade1",
    RequiredSubSystems = "AdvancedResearch & FrigateProduction",
    Cost = 750,
    Time = 70,
    DisplayedName = "$7577",
    DisplayPriority = 303,
    Description = "$7578",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_TorpedoFrigate",
    UpgradeName = "MAXSPEED",
    UpgradeValue = 1.35,
    Icon = Icon_Speed,
    ShortDisplayedName = "$7245",
  },
  {
    Name = "IonCannonFrigateHealthUpgrade1",
    RequiredResearch = "InstaAdvancedFrigateTech",
    RequiredSubSystems = "Research | AdvancedResearch & FrigateProduction",
    Cost = 800,
    Time = 60,
    DisplayedName = "$7579",
    DisplayPriority = 306,
    Description = "$7580",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_IonCannonFrigate",
    UpgradeName = "MAXHEALTH",
    UpgradeValue = 1.3,
    Icon = Icon_Health,
    ShortDisplayedName = "$7247",
  },
  {
    Name = "IonCannonFrigateHealthUpgrade2",
    RequiredResearch = "IonCannonFrigateHealthUpgrade1 & InstaAdvancedFrigateTech",
    RequiredSubSystems = "AdvancedResearch & FrigateProduction",
    Cost = 1400,
    Time = 75,
    DisplayedName = "$7581",
    DisplayPriority = 306,
    Description = "$7582",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_IonCannonFrigate",
    UpgradeName = "MAXHEALTH",
    UpgradeValue = 1.6,
    Icon = Icon_Health,
    ShortDisplayedName = "$7248",
  },
  {
    Name = "IonCannonFrigateMAXSPEEDUpgrade1",
    RequiredResearch = "InstaAdvancedFrigateTech",
    RequiredSubSystems = "Research | AdvancedResearch & FrigateProduction",
    Cost = 500,
    Time = 50,
    DisplayedName = "$7583",
    DisplayPriority = 309,
    Description = "$7584",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_IonCannonFrigate",
    UpgradeName = "MAXSPEED",
    UpgradeValue = 1.2,
    Icon = Icon_Speed,
    ShortDisplayedName = "$7247",
  },
  {
    Name = "IonCannonFrigateMAXSPEEDUpgrade2",
    RequiredResearch = "IonCannonFrigateMAXSPEEDUpgrade1 & InstaAdvancedFrigateTech",
    RequiredSubSystems = "AdvancedResearch & FrigateProduction",
    Cost = 750,
    Time = 70,
    DisplayedName = "$7585",
    DisplayPriority = 309,
    Description = "$7586",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_IonCannonFrigate",
    UpgradeName = "MAXSPEED",
    UpgradeValue = 1.35,
    Icon = Icon_Speed,
    ShortDisplayedName = "$7248",
  },
  {
    Name = "AssaultFrigateHealthUpgrade1",
    RequiredResearch = "InstaAdvancedFrigateTech",
    RequiredSubSystems = "Research | AdvancedResearch & FrigateProduction",
    Cost = 800,
    Time = 60,
    DisplayedName = "$7587",
    DisplayPriority = 312,
    Description = "$7588",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_AssaultFrigate",
    UpgradeName = "MAXHEALTH",
    UpgradeValue = 1.3,
    Icon = Icon_Health,
    ShortDisplayedName = "$7251",
  },
  {
    Name = "AssaultFrigateHealthUpgrade2",
    RequiredResearch = "AssaultFrigateHealthUpgrade1 & InstaAdvancedFrigateTech",
    RequiredSubSystems = "AdvancedResearch & FrigateProduction",
    Cost = 1400,
    Time = 75,
    DisplayedName = "$7589",
    DisplayPriority = 312,
    Description = "$7590",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_AssaultFrigate",
    UpgradeName = "MAXHEALTH",
    UpgradeValue = 1.6,
    Icon = Icon_Health,
    ShortDisplayedName = "$7252",
  },
  {
    Name = "AssaultFrigateMAXSPEEDUpgrade1",
    RequiredResearch = "InstaAdvancedFrigateTech",
    RequiredSubSystems = "Research | AdvancedResearch & FrigateProduction",
    Cost = 500,
    Time = 50,
    DisplayedName = "$7591",
    DisplayPriority = 315,
    Description = "$7592",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_AssaultFrigate",
    UpgradeName = "MAXSPEED",
    UpgradeValue = 1.2,
    Icon = Icon_Speed,
    ShortDisplayedName = "$7251",
  },
  {
    Name = "AssaultFrigateMAXSPEEDUpgrade2",
    RequiredResearch = "AssaultFrigateMAXSPEEDUpgrade1 & InstaAdvancedFrigateTech",
    RequiredSubSystems = "AdvancedResearch & FrigateProduction",
    Cost = 750,
    Time = 70,
    DisplayedName = "$7593",
    DisplayPriority = 315,
    Description = "$7594",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_AssaultFrigate",
    UpgradeName = "MAXSPEED",
    UpgradeValue = 1.35,
    Icon = Icon_Speed,
    ShortDisplayedName = "$7252",
  },
  {
    Name = "GunFrigateHealthUpgrade1",
    RequiredResearch = "",
    RequiredSubSystems = "Research | AdvancedResearch & FrigateProduction",
    Cost = 800,
    Time = 60,
    DisplayedName = "Gun Frigate Armor 1",
    DisplayPriority = 316,
    Description = "<b>Description:</b> Improves Gun Frigate Armor. \n\n<b>Prerequisites:</b> Research Module and Frigate Facility.",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_GunFrigate",
    UpgradeName = "MAXHEALTH",
    UpgradeValue = 1.3,
    Icon = Icon_Health,
    ShortDisplayedName = "Lvl 1 Gun Frigate",
  },
  {
    Name = "GunFrigateHealthUpgrade2",
    RequiredResearch = "GunFrigateHealthUpgrade1",
    RequiredSubSystems = "AdvancedResearch & FrigateProduction",
    Cost = 1400,
    Time = 75,
    DisplayedName = "Gun Frigate Armor 2",
    DisplayPriority = 316,
    Description = "<b>Description:</b> Improves Gun Frigate Armor to Lvl 2. \n\n<b>Prerequisites:</b> Advanced Research Module and Frigate Facility.",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_GunFrigate",
    UpgradeName = "MAXHEALTH",
    UpgradeValue = 1.6,
    Icon = Icon_Health,
    ShortDisplayedName = "Lvl 2 Gun Frigate",
  },
  {
    Name = "GunFrigateMAXSPEEDUpgrade1",
    RequiredResearch = "",
    RequiredSubSystems = "Research | AdvancedResearch & FrigateProduction",
    Cost = 500,
    Time = 50,
    DisplayedName = "Gun Frigate Engine 1",
    DisplayPriority = 317,
    Description = "<b>Description:</b> Improves Gun Frigate max speed. \n\n<b>Prerequisites:</b> Research Module and Frigate Facility.",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_GunFrigate",
    UpgradeName = "MAXSPEED",
    UpgradeValue = 1.25,
    Icon = Icon_Speed,
    ShortDisplayedName = "Lvl 1 Gun Frigate",
  },
  {
    Name = "GunFrigateMAXSPEEDUpgrade2",
    RequiredResearch = "GunFrigateMAXSPEEDUpgrade1",
    RequiredSubSystems = "AdvancedResearch & FrigateProduction",
    Cost = 750,
    Time = 70,
    DisplayedName = "Gun Frigate Engine 2",
    DisplayPriority = 317,
    Description = "<b>Description:</b> Improves Gun Frigate max speed to Lvl 2. \n\n<b>Prerequisites:</b> Advanced Research Module and Frigate Facility.",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_GunFrigate",
    UpgradeName = "MAXSPEED",
    UpgradeValue = 1.5,
    Icon = Icon_Speed,
    ShortDisplayedName = "Lvl 2 Gun Frigate",
  },
  {
    Name = "AntiMissileFrigateMAXSPEEDUpgrade1",
    RequiredResearch = "MissileTargetingSystems",
    RequiredSubSystems = "AdvancedResearch & FrigateProduction",
    Cost = 500,
    Time = 50,
    DisplayedName = "Anti Missile Frigate Engine 1",
    DisplayPriority = 318,
    Description = "<b>Description:</b> Improves Anti Missile Frigate max speed. \n\n<b>Prerequisites:</b> Research Module and Frigate Facility.",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_AntiMissileFrigate",
    UpgradeName = "MAXSPEED",
    UpgradeValue = 1.25,
    Icon = Icon_Speed,
    ShortDisplayedName = "Lvl 1 Anti Missile Frigate",
  },
  {
    Name = "AntiMissileFrigateMAXSPEEDUpgrade2",
    RequiredResearch = "AntiMissileFrigateMAXSPEEDUpgrade1",
    RequiredSubSystems = "AdvancedResearch & FrigateProduction",
    Cost = 800,
    Time = 70,
    DisplayedName = "Anti Missile Frigate Engine 2",
    DisplayPriority = 318,
    Description = "<b>Description:</b> Improves Anti Missile Frigate max speed to Lvl 2. \n\n<b>Prerequisites:</b> Advanced Research Module and Frigate Facility.",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_AntiMissileFrigate",
    UpgradeName = "MAXSPEED",
    UpgradeValue = 1.5,
    Icon = Icon_Speed,
    ShortDisplayedName = "Lvl 2 Anti Missile Frigate",
  },
  {
    Name = "BattlecruiserHealthUpgrade1",
    RequiredResearch = "BattlecruiserIonWeapons",
    RequiredSubSystems = "Research | AdvancedResearch & CapShipProduction",
    Cost = 2000,
    Time = 60,
    DisplayedName = "$7595",
    DisplayPriority = 401,
    Description = "$7596",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_BattleCruiser",
    UpgradeName = "MAXHEALTH",
    UpgradeValue = 1.3,
    Icon = Icon_Health,
    ShortDisplayedName = "$7254",
  },
  {
    Name = "BattlecruiserHealthUpgrade2",
    RequiredResearch = "BattlecruiserHealthUpgrade1",
    RequiredSubSystems = "AdvancedResearch & CapShipProduction",
    Cost = 3000,
    Time = 75,
    DisplayedName = "$7597",
    DisplayPriority = 401,
    Description = "$7598",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_BattleCruiser",
    UpgradeName = "MAXHEALTH",
    UpgradeValue = 1.6,
    Icon = Icon_Health,
    ShortDisplayedName = "$7255",
  },
  {
    Name = "BattlecruiserMAXSPEEDUpgrade1",
    RequiredResearch = "BattlecruiserIonWeapons",
    RequiredSubSystems = "Research | AdvancedResearch & CapShipProduction",
    Cost = 1000,
    Time = 30,
    DisplayedName = "$7599",
    DisplayPriority = 404,
    Description = "$7600",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_BattleCruiser",
    UpgradeName = "MAXSPEED",
    UpgradeValue = 1.2,
    Icon = Icon_Speed,
    ShortDisplayedName = "$7254",
  },
  {
    Name = "BattlecruiserMAXSPEEDUpgrade2",
    RequiredResearch = "BattlecruiserMAXSPEEDUpgrade1",
    RequiredSubSystems = "AdvancedResearch & CapShipProduction",
    Cost = 1500,
    Time = 40,
    DisplayedName = "$7601",
    DisplayPriority = 404,
    Description = "$7602",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_BattleCruiser",
    UpgradeName = "MAXSPEED",
    UpgradeValue = 1.35,
    Icon = Icon_Speed,
    ShortDisplayedName = "$7255",
  },
  {
    Name = "assaultcarrierHealthUpgrade1",
    RequiredResearch = "AssaultCarrierProductionFacilitys",
    RequiredSubSystems = "Research | AdvancedResearch & CapShipProduction",
    Cost = 1000,
    Time = 60,
    DisplayedName = "AssaultCarrier Hull  1",
    DisplayPriority = 401,
    Description = "<b>Description:</b> Improves AssaultCarrier Hulls, allowing them to withstand more damage.  \n\n<b>Prerequisites:</b> Research Module and Capital Ship Facility.",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_assaultcarrier",
    UpgradeName = "MAXHEALTH",
    UpgradeValue = 1.4,
    Icon = Icon_Health,
    ShortDisplayedName = "Lvl 1 AssaultCarrier",
  },
  {
    Name = "assaultcarrierHealthUpgrade2",
    RequiredResearch = "assaultcarrierHealthUpgrade1",
    RequiredSubSystems = "AdvancedResearch & CapShipProduction",
    Cost = 1300,
    Time = 75,
    DisplayedName = "AssaultCarrier Hull  2",
    DisplayPriority = 401,
    Description = "<b>Description:</b> Improves AssaultCarrier Hulls, allowing them to withstand more damage.  \n\n<b>Prerequisites:</b> Advanced Research Module and Capital Ship Facility.",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_assaultcarrier",
    UpgradeName = "MAXHEALTH",
    UpgradeValue = 1.75,
    Icon = Icon_Health,
    ShortDisplayedName = "Lvl 2 AssaultCarrier",
  },
  {
    Name = "assaultcarrierMAXSPEEDUpgrade1",
    RequiredResearch = "AssaultCarrierProductionFacilitys",
    RequiredSubSystems = "Research | AdvancedResearch & CapShipProduction",
    Cost = 800,
    Time = 30,
    DisplayedName = "AssaultCarrier Engine  1",
    DisplayPriority = 404,
    Description = "<b>Description:</b> Improves AssaultCarrier conventional drive systems. \n\n<b>Prerequisites:</b> Research Module and Capital Ship Facility.",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_assaultcarrier",
    UpgradeName = "MAXSPEED",
    UpgradeValue = 1.25,
    Icon = Icon_Speed,
    ShortDisplayedName = "Lvl 1 AssaultCarrier",
  },
  {
    Name = "assaultcarrierMAXSPEEDUpgrade2",
    RequiredResearch = "assaultcarrierMAXSPEEDUpgrade1",
    RequiredSubSystems = "AdvancedResearch & CapShipProduction",
    Cost = 1000,
    Time = 40,
    DisplayedName = "AssaultCarrier Engine  2",
    DisplayPriority = 404,
    Description = "<b>Description:</b> Improves AssaultCarrier conventional drive systems. \n\n<b>Prerequisites:</b> Advanced Research Module and Capital Ship Facility.",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_assaultcarrier",
    UpgradeName = "MAXSPEED",
    UpgradeValue = 1.5,
    Icon = Icon_Speed,
    ShortDisplayedName = "Lvl 2 AssaultCarrier",
  },
  {
    Name = "BattleshipHealthUpgrade1",
    RequiredResearch = "BattleshipTech",
    RequiredSubSystems = "Research | AdvancedResearch & CapShipProduction",
    Cost = 500,
    Time = 60,
    DisplayedName = "Battleship Hull  1",
    DisplayPriority = 405,
    Description = "<b>Description:</b> Improves Battleship Hulls, allowing them to withstand more damage.  \n\n<b>Prerequisites:</b> Research Module and Capital Ship Facility.",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_Battleship",
    UpgradeName = "MAXHEALTH",
    UpgradeValue = 1.3,
    ShortDisplayedName = "Lvl 1 Battleship",
    Icon = Icon_Health,
  },
  {
    Name = "BattleshipHealthUpgrade2",
    RequiredResearch = "BattleshipHealthUpgrade1",
    RequiredSubSystems = "AdvancedResearch & CapShipProduction",
    Cost = 800,
    Time = 75,
    DisplayedName = "Battleship Hull  2",
    DisplayPriority = 405,
    Description = "<b>Description:</b> Improves Battleship Hulls to Lvl 2. \n\n<b>Prerequisites:</b> Advanced Research Module and Capital Ship Facility.",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_Battleship",
    UpgradeName = "MAXHEALTH",
    UpgradeValue = 1.6,
    Icon = Icon_Health,
    ShortDisplayedName = "Lvl 2 Battleship",
  },
  {
    Name = "BattleshipMAXSPEEDUpgrade1",
    RequiredResearch = "BattleshipTech",
    RequiredSubSystems = "Research | AdvancedResearch & CapShipProduction",
    Cost = 500,
    Time = 30,
    DisplayedName = "Battleship Engine 1",
    DisplayPriority = 406,
    Description = "<b>Description:</b> Improves Battleship conventional drive systems. \n\n<b>Prerequisites:</b> Research Module and Capital Ship Facility.",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_Battleship",
    UpgradeName = "MAXSPEED",
    UpgradeValue = 1.25,
    Icon = Icon_Speed,
    ShortDisplayedName = "Lvl 1 Battleship",
  },
  {
    Name = "BattleshipMAXSPEEDUpgrade2",
    RequiredResearch = "BattleshipMAXSPEEDUpgrade1",
    RequiredSubSystems = "AdvancedResearch & CapShipProduction",
    Cost = 800,
    Time = 40,
    DisplayedName = "Battleship Engine 2",
    DisplayPriority = 406,
    Description = "<b>Description:</b> Improves Battleship conventional drive systems to Lvl 2. \n\n<b>Prerequisites:</b> Advanced Research Module and Capital Ship Facility.",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_Battleship",
    UpgradeName = "MAXSPEED",
    UpgradeValue = 1.5,
    Icon = Icon_Speed,
    ShortDisplayedName = "Lvl 2 Battleship",
  },
  {
    Name = "DestroyerHealthUpgrade1",
    RequiredResearch = "DestroyerTech",
    RequiredSubSystems = "Research | AdvancedResearch & CapShipProduction",
    Cost = 1000,
    Time = 60,
    DisplayedName = "$7639",
    DisplayPriority = 405,
    Description = "$7640",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_Destroyer",
    UpgradeName = "MAXHEALTH",
    UpgradeValue = 1.3,
    ShortDisplayedName = "$7274",
    Icon = Icon_Health,
  },
  {
    Name = "DestroyerHealthUpgrade2",
    RequiredResearch = "DestroyerHealthUpgrade1",
    RequiredSubSystems = "AdvancedResearch & CapShipProduction",
    Cost = 1500,
    Time = 75,
    DisplayedName = "$7641",
    DisplayPriority = 405,
    Description = "$7642",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_Destroyer",
    UpgradeName = "MAXHEALTH",
    UpgradeValue = 1.6,
    Icon = Icon_Health,
    ShortDisplayedName = "$7275",
  },
  {
    Name = "DestroyerMAXSPEEDUpgrade1",
    RequiredResearch = "DestroyerTech",
    RequiredSubSystems = "Research | AdvancedResearch & CapShipProduction",
    Cost = 1000,
    Time = 30,
    DisplayedName = "$7643",
    DisplayPriority = 406,
    Description = "$7644",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_Destroyer",
    UpgradeName = "MAXSPEED",
    UpgradeValue = 1.2,
    Icon = Icon_Speed,
    ShortDisplayedName = "$7274",
  },
  {
    Name = "DestroyerMAXSPEEDUpgrade2",
    RequiredResearch = "DestroyerMAXSPEEDUpgrade1",
    RequiredSubSystems = "AdvancedResearch & CapShipProduction",
    Cost = 1500,
    Time = 40,
    DisplayedName = "$7645",
    DisplayPriority = 406,
    Description = "$7646",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_Destroyer",
    UpgradeName = "MAXSPEED",
    UpgradeValue = 1.35,
    Icon = Icon_Speed,
    ShortDisplayedName = "$7275",
  },
  {
    Name = "GunTurretHealthUpgrade1",
    RequiredResearch = "",
    RequiredSubSystems = "Research | AdvancedResearch & PlatformProduction",
    Cost = 500,
    Time = 30,
    DisplayedName = "$7603",
    DisplayPriority = 600,
    Description = "$7604",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_GunTurret",
    UpgradeName = "MAXHEALTH",
    UpgradeValue = 1.3,
    Icon = Icon_Health,
    ShortDisplayedName = "$7257",
  },
  {
    Name = "GunTurretHealthUpgrade2",
    RequiredResearch = "GunTurretHealthUpgrade1",
    RequiredSubSystems = "AdvancedResearch & PlatformProduction",
    Cost = 800,
    Time = 40,
    DisplayedName = "$7605",
    DisplayPriority = 600,
    Description = "$7606",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_GunTurret",
    UpgradeName = "MAXHEALTH",
    UpgradeValue = 1.6,
    Icon = Icon_Health,
    ShortDisplayedName = "$7258",
  },
  {
    Name = "IonTurretHealthUpgrade1",
    RequiredResearch = "PlatformIonWeapons",
    RequiredSubSystems = "Research | AdvancedResearch & PlatformProduction",
    Cost = 500,
    Time = 30,
    DisplayedName = "$7607",
    DisplayPriority = 603,
    Description = "$7608",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_IonTurret",
    UpgradeName = "MAXHEALTH",
    UpgradeValue = 1.3,
    Icon = Icon_Health,
    ShortDisplayedName = "$7261",
  },
  {
    Name = "IonTurretHealthUpgrade2",
    RequiredResearch = "IonTurretHealthUpgrade1 & PlatformIonWeapons",
    RequiredSubSystems = "AdvancedResearch & PlatformProduction",
    Cost = 800,
    Time = 40,
    DisplayedName = "$7609",
    DisplayPriority = 603,
    Description = "$7610",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_IonTurret",
    UpgradeName = "MAXHEALTH",
    UpgradeValue = 1.6,
    Icon = Icon_Health,
    ShortDisplayedName = "$7262",
  },
  {
    Name = "ResourceCollectorHealthUpgrade1",
    RequiredResearch = "",
    RequiredSubSystems = "Research | AdvancedResearch",
    Cost = 400,
    Time = 40,
    DisplayedName = "$7611",
    DisplayPriority = 701,
    Description = "$7612",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_ResourceCollector",
    UpgradeName = "MAXHEALTH",
    UpgradeValue = 1.5,
    Icon = Icon_Health,
    ShortDisplayedName = "$7264",
  },
  {
    Name = "ResourceCollectorHealthUpgrade2",
    RequiredResearch = "ResourceCollectorHealthUpgrade1",
    RequiredSubSystems = "AdvancedResearch",
    Cost = 800,
    Time = 60,
    DisplayedName = "$7613",
    DisplayPriority = 701,
    Description = "$7614",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_ResourceCollector",
    UpgradeName = "MAXHEALTH",
    UpgradeValue = 2,
    Icon = Icon_Health,
    ShortDisplayedName = "$7265",
  },
  {
    Name = "ResourceControllerHealthUpgrade1",
    RequiredResearch = "",
    RequiredSubSystems = "Research | AdvancedResearch",
    Cost = 500,
    Time = 30,
    DisplayedName = "$7267",
    DisplayPriority = 704,
    Description = "$7616",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_ResourceController",
    UpgradeName = "MAXHEALTH",
    UpgradeValue = 1.3,
    Icon = Icon_Health,
    ShortDisplayedName = "$7267",
  },
  {
    Name = "ResourceControllerHealthUpgrade2",
    RequiredResearch = "ResourceControllerHealthUpgrade1",
    RequiredSubSystems = "AdvancedResearch",
    Cost = 1000,
    Time = 40,
    DisplayedName = "$7617",
    DisplayPriority = 704,
    Description = "$7618",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_ResourceController",
    UpgradeName = "MAXHEALTH",
    UpgradeValue = 1.6,
    Icon = Icon_Health,
    ShortDisplayedName = "$7268",
  },
  {
    Name = "HyperspaceCostUpgrade1",
    RequiredResearch = "",
    RequiredSubSystems = "Research | AdvancedResearch & Hyperspace",
    Cost = 500,
    Time = 45,
    DisplayedName = "$7627",
    DisplayPriority = 1000,
    Description = "$7628",
    UpgradeType = Modifier,
    TargetType = AllShips,
    UpgradeName = "HyperspaceCost",
    UpgradeValue = 0.8,
    TargetName = "Hgn_Mothership",
    Icon = Icon_Tech,
    ShortDisplayedName = "$7280",
  },
  {
    Name = "HyperspaceCostUpgrade2",
    RequiredResearch = "HyperspaceCostUpgrade1",
    RequiredSubSystems = "AdvancedResearch | AdvancedResearch & Hyperspace",
    Cost = 1000,
    Time = 60,
    DisplayedName = "$7629",
    DisplayPriority = 1000,
    Description = "$7630",
    UpgradeType = Modifier,
    TargetType = AllShips,
    UpgradeName = "HyperspaceCost",
    UpgradeValue = 0.6,
    TargetName = "Hgn_Mothership",
    Icon = Icon_Tech,
    ShortDisplayedName = "$7281",
  },
  {
    Name = "ShipyardHealthUpgrade1",
    RequiredResearch = "",
    RequiredSubSystems = "Research | AdvancedResearch & Hyperspace",
    Cost = 750,
    Time = 30,
    DisplayedName = "$7619",
    DisplayPriority = 1200,
    Description = "$7620",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_Shipyard",
    UpgradeName = "MAXHEALTH",
    UpgradeValue = 1.3,
    Icon = Icon_Health,
    ShortDisplayedName = "$7271",
  },
  {
    Name = "ShipyardHealthUpgrade2",
    RequiredResearch = "ShipyardHealthUpgrade1",
    RequiredSubSystems = "AdvancedResearch & Hyperspace",
    Cost = 1500,
    Time = 40,
    DisplayedName = "$7621",
    DisplayPriority = 1200,
    Description = "$7622",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_Shipyard",
    UpgradeName = "MAXHEALTH",
    UpgradeValue = 1.6,
    Icon = Icon_Health,
    ShortDisplayedName = "$7272",
  },
  {
    Name = "ShipyardMAXSPEEDUpgrade1",
    RequiredResearch = "",
    RequiredSubSystems = "Research | AdvancedResearch & Hyperspace",
    Cost = 500,
    Time = 30,
    DisplayedName = "$7623",
    DisplayPriority = 1203,
    Description = "$7624",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_Shipyard",
    UpgradeName = "MAXSPEED",
    UpgradeValue = 1.2,
    Icon = Icon_Speed,
    ShortDisplayedName = "$7271",
  },
  {
    Name = "ShipyardMAXSPEEDUpgrade2",
    RequiredResearch = "ShipyardMAXSPEEDUpgrade1",
    RequiredSubSystems = "AdvancedResearch & Hyperspace",
    Cost = 1500,
    Time = 60,
    DisplayedName = "$7625",
    DisplayPriority = 1203,
    Description = "$7626",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_Shipyard",
    UpgradeName = "MAXSPEED",
    UpgradeValue = 1.35,
    Icon = Icon_Speed,
    ShortDisplayedName = "$7272",
  },
  {
    Name = "ShipyardBUILDSPEEDUpgrade1",
    RequiredResearch = "",
    RequiredSubSystems = "AdvancedResearch & Hyperspace",
    Cost = 1000,
    Time = 40,
    DisplayedName = "$7810",
    DisplayPriority = 1204,
    Description = "$7811",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_Shipyard",
    UpgradeName = "BUILDSPEED",
    UpgradeValue = 1.3,
    Icon = Icon_Build,
    ShortDisplayedName = "$7240",
  },
  {
    Name = "SensorsDowngrade1",
    RequiredResearch = "RESEARCH HACK",
    RequiredSubSystems = "",
    Cost = 0,
    Time = 0,
    DisplayedName = "Sensors Downgrade1",
    DisplayPriority = 1210,
    Description = "",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_MotherShip",
    UpgradeName = "PrimarySensorsRange",
    UpgradeValue = 0.3,
  },
  {
    Name = "SensorsDowngrade2",
    RequiredResearch = "RESEARCH HACK",
    RequiredSubSystems = "",
    Cost = 0,
    Time = 0,
    DisplayedName = "Sensors Downgrade2",
    DisplayPriority = 1211,
    Description = "",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_MotherShip",
    UpgradeName = "SecondarySensorsRange",
    UpgradeValue = 0.3,
  },
  {
    Name = "SensorsDowngrade3",
    RequiredResearch = "RESEARCH HACK",
    RequiredSubSystems = "",
    Cost = 0,
    Time = 0,
    DisplayedName = "Sensors Downgrade3",
    DisplayPriority = 1212,
    Description = "",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_MotherShip",
    UpgradeName = "VisualRange",
    UpgradeValue = 0.3,
  },
  {
    Name = "SensorsBackToNormal1",
    RequiredResearch = "RESEARCH HACK",
    RequiredSubSystems = "",
    Cost = 0,
    Time = 0,
    DisplayedName = "SensorsBackToNormal1",
    DisplayPriority = 1213,
    Description = "",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_MotherShip",
    UpgradeName = "PrimarySensorsRange",
    UpgradeValue = 1,
  },
  {
    Name = "SensorsBackToNormal2",
    RequiredResearch = "RESEARCH HACK",
    RequiredSubSystems = "",
    Cost = 0,
    Time = 0,
    DisplayedName = "SensorsBackToNormal2",
    DisplayPriority = 1214,
    Description = "",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_MotherShip",
    UpgradeName = "SecondarySensorsRange",
    UpgradeValue = 1,
  },
  {
    Name = "SensorsBackToNormal3",
    RequiredResearch = "RESEARCH HACK",
    RequiredSubSystems = "",
    Cost = 0,
    Time = 0,
    DisplayedName = "SensorsBackToNormal3",
    DisplayPriority = 1215,
    Description = "",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_MotherShip",
    UpgradeName = "VisualRange",
    UpgradeValue = 1,
  },
  {
    Name = "AssaultCorvetteEliteWeaponUpgrade",
    RequiredResearch = "RESEARCH HACK",
    RequiredSubSystems = "",
    Cost = 0,
    Time = 0,
    DisplayedName = "Elite Assault Corvette Weapon Upgrade",
    DisplayPriority = 1204,
    Description = "",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_AssaultCorvetteElite",
    UpgradeName = "WeaponDamage",
    UpgradeValue = 2,
  },
  {
    Name = "AttackBomberEliteWeaponUpgrade",
    RequiredResearch = "RESEARCH HACK",
    RequiredSubSystems = "",
    Cost = 0,
    Time = 0,
    DisplayedName = "Elite Attack Bomber Weapon Upgrade",
    DisplayPriority = 1205,
    Description = "",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Hgn_AttackBomberElite",
    UpgradeName = "WeaponDamage",
    UpgradeValue = 1.8,
  },
  {
    Name = "MoverHealthUpgrade",
    RequiredResearch = "RESEARCH HACK",
    RequiredSubSystems = "",
    Cost = 0,
    Time = 0,
    DisplayedName = "Mover health upgrade",
    DisplayPriority = 41,
    Description = "Upgrades Mover health",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Kpr_Mover",
    UpgradeName = "MAXHEALTH",
    UpgradeValue = 5,
  },
  {
    Name = "MoverHealthDowngrade",
    RequiredResearch = "RESEARCH HACK",
    RequiredSubSystems = "",
    Cost = 0,
    Time = 0,
    DisplayedName = "Mover health downgrade",
    DisplayPriority = 41,
    Description = "Downgrades Mover health",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Kpr_Mover",
    UpgradeName = "MAXHEALTH",
    UpgradeValue = 1,
  },
  {
    Name = "FrigateHealthUpgradeSPGAME",
    RequiredResearch = "RESEARCH HACK",
    RequiredSubSystems = "",
    Cost = 800,
    Time = 60,
    DisplayedName = "$7571",
    DisplayPriority = 300,
    Description = "$7572",
    UpgradeType = Modifier,
    TargetType = Family,
    TargetName = "Frigate",
    UpgradeName = "MAXHEALTH",
    UpgradeValue = 2.5,
  },
  {
    Name = "KeeperHealthUpgradeSPGAME_LOW",
    RequiredResearch = "RESEARCH HACK",
    RequiredSubSystems = "",
    Cost = 0,
    Time = 0,
    DisplayedName = "$7571",
    DisplayPriority = 300,
    Description = "$7572",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Kpr_Destroyer",
    UpgradeName = "MAXHEALTH",
    UpgradeValue = 2.5,
  },
  {
    Name = "KeeperHealthUpgradeSPGAME_MED",
    RequiredResearch = "RESEARCH HACK",
    RequiredSubSystems = "",
    Cost = 0,
    Time = 0,
    DisplayedName = "$7571",
    DisplayPriority = 300,
    Description = "$7572",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Kpr_Destroyer",
    UpgradeName = "MAXHEALTH",
    UpgradeValue = 3.5,
  },
  {
    Name = "KeeperHealthUpgradeSPGAME_HIGH",
    RequiredResearch = "RESEARCH HACK",
    RequiredSubSystems = "",
    Cost = 0,
    Time = 0,
    DisplayedName = "$7571",
    DisplayPriority = 300,
    Description = "$7572",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Kpr_Destroyer",
    UpgradeName = "MAXHEALTH",
    UpgradeValue = 4.5,
  },
  {
    Name = "KeeperWeaponUpgradeSPGAME_M10_LVL_1",
    RequiredResearch = "RESEARCH HACK",
    RequiredSubSystems = "",
    Cost = 0,
    Time = 0,
    DisplayedName = "$7571",
    DisplayPriority = 300,
    Description = "$7572",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Kpr_DestroyerM10",
    UpgradeName = "WeaponDamage",
    UpgradeValue = 0.1,
  },
  {
    Name = "KeeperWeaponUpgradeSPGAME_M10_LVL_2",
    RequiredResearch = "RESEARCH HACK",
    RequiredSubSystems = "",
    Cost = 0,
    Time = 0,
    DisplayedName = "$7571",
    DisplayPriority = 300,
    Description = "$7572",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Kpr_DestroyerM10",
    UpgradeName = "WeaponDamage",
    UpgradeValue = 0.2,
  },
  {
    Name = "KeeperWeaponUpgradeSPGAME_M10_LVL_3",
    RequiredResearch = "RESEARCH HACK",
    RequiredSubSystems = "",
    Cost = 0,
    Time = 0,
    DisplayedName = "$7571",
    DisplayPriority = 300,
    Description = "$7572",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Kpr_DestroyerM10",
    UpgradeName = "WeaponDamage",
    UpgradeValue = 0.3,
  },
  {
    Name = "KeeperWeaponUpgradeSPGAME_M10_LVL_4",
    RequiredResearch = "RESEARCH HACK",
    RequiredSubSystems = "",
    Cost = 0,
    Time = 0,
    DisplayedName = "$7571",
    DisplayPriority = 300,
    Description = "$7572",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Kpr_DestroyerM10",
    UpgradeName = "WeaponDamage",
    UpgradeValue = 0.4,
  },
  {
    Name = "KeeperWeaponUpgradeSPGAME_M10_LVL_5",
    RequiredResearch = "RESEARCH HACK",
    RequiredSubSystems = "",
    Cost = 0,
    Time = 0,
    DisplayedName = "$7571",
    DisplayPriority = 300,
    Description = "$7572",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Kpr_DestroyerM10",
    UpgradeName = "WeaponDamage",
    UpgradeValue = 0.5,
  },
  {
    Name = "KeeperWeaponUpgradeSPGAME_M10_LVL_6",
    RequiredResearch = "RESEARCH HACK",
    RequiredSubSystems = "",
    Cost = 0,
    Time = 0,
    DisplayedName = "$7571",
    DisplayPriority = 300,
    Description = "$7572",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Kpr_DestroyerM10",
    UpgradeName = "WeaponDamage",
    UpgradeValue = 0.6,
  },
  {
    Name = "KeeperHealthUpgradeSPGAME_M10_LVL_1",
    RequiredResearch = "RESEARCH HACK",
    RequiredSubSystems = "",
    Cost = 0,
    Time = 0,
    DisplayedName = "$7571",
    DisplayPriority = 300,
    Description = "$7572",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Kpr_DestroyerM10",
    UpgradeName = "MAXHEALTH",
    UpgradeValue = 2,
  },
  {
    Name = "KeeperHealthUpgradeSPGAME_M10_LVL_2",
    RequiredResearch = "RESEARCH HACK",
    RequiredSubSystems = "",
    Cost = 0,
    Time = 0,
    DisplayedName = "$7571",
    DisplayPriority = 300,
    Description = "$7572",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Kpr_DestroyerM10",
    UpgradeName = "MAXHEALTH",
    UpgradeValue = 3,
  },
  {
    Name = "KeeperHealthUpgradeSPGAME_M10_LVL_3",
    RequiredResearch = "RESEARCH HACK",
    RequiredSubSystems = "",
    Cost = 0,
    Time = 0,
    DisplayedName = "$7571",
    DisplayPriority = 300,
    Description = "$7572",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Kpr_DestroyerM10",
    UpgradeName = "MAXHEALTH",
    UpgradeValue = 4,
  },
  {
    Name = "AttackDroidHealthUpgradeSPGAME_LOW",
    RequiredResearch = "RESEARCH HACK",
    RequiredSubSystems = "",
    Cost = 0,
    Time = 0,
    DisplayedName = "$7571",
    DisplayPriority = 300,
    Description = "$7572",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Kpr_AttackDroid",
    UpgradeName = "MAXHEALTH",
    UpgradeValue = 2,
  },
  {
    Name = "AttackDroidHealthUpgradeSPGAME_MED",
    RequiredResearch = "RESEARCH HACK",
    RequiredSubSystems = "",
    Cost = 0,
    Time = 0,
    DisplayedName = "$7571",
    DisplayPriority = 300,
    Description = "$7572",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Kpr_AttackDroid",
    UpgradeName = "MAXHEALTH",
    UpgradeValue = 3,
  },
  {
    Name = "AttackDroidHealthUpgradeSPGAME_HIGH",
    RequiredResearch = "RESEARCH HACK",
    RequiredSubSystems = "",
    Cost = 0,
    Time = 0,
    DisplayedName = "$7571",
    DisplayPriority = 300,
    Description = "$7572",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Kpr_AttackDroid",
    UpgradeName = "MAXHEALTH",
    UpgradeValue = 4,
  },
  {
    Name = "AttackDroidWeaponUpgradeSPGAME_LOW",
    RequiredResearch = "RESEARCH HACK",
    RequiredSubSystems = "",
    Cost = 0,
    Time = 0,
    DisplayedName = "$7571",
    DisplayPriority = 300,
    Description = "$7572",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Kpr_AttackDroid",
    UpgradeName = "WeaponDamage",
    UpgradeValue = 1.3,
  },
  {
    Name = "AttackDroidWeaponUpgradeSPGAME_MED",
    RequiredResearch = "RESEARCH HACK",
    RequiredSubSystems = "",
    Cost = 0,
    Time = 0,
    DisplayedName = "$7571",
    DisplayPriority = 300,
    Description = "$7572",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Kpr_AttackDroid",
    UpgradeName = "WeaponDamage",
    UpgradeValue = 1.6,
  },
  {
    Name = "AttackDroidWeaponUpgradeSPGAME_HIGH",
    RequiredResearch = "RESEARCH HACK",
    RequiredSubSystems = "",
    Cost = 0,
    Time = 0,
    DisplayedName = "$7571",
    DisplayPriority = 300,
    Description = "$7572",
    UpgradeType = Modifier,
    TargetType = Ship,
    TargetName = "Kpr_AttackDroid",
    UpgradeName = "WeaponDamage",
    UpgradeValue = 2,
  },
}
